This demonstrates how to use the `FormField` component to construct forms with nicer error messages.  There are a lot of things you need to do for nice error messages on forms, and `FormField` handles most of them. You need to set variables for it, then place your input inside:

```
<FormField form={ form } field="subscribe" label="Want Notifications?">
  <input type="checkbox" id="subscribe" name="subscribe" bind:checked={ form.subscribe }>
</FormField>
```

All of the input fields work mostly the same but with Svelte you need to use `bind:checked={
variable }` instead of `bind:value`.
