The LoggedIn component checks if the user is logged in by doing a GET to "/api/login" and if that API endpoint returns 401 or 403 it will perform redirects for you.  It updates the `$user.authenticated` Svelte store (from `client/stores.js`) and then as your app changes that setting it will adapt and display different content.

Use this component to:

1. Block a page's content from unauthenticated users.
2. Redirect users to your a new location if they are not authenticated.
3. Show a standard redirect page when it's redirecting.

In this test you are simply changing the $user.authenticated to see how the LoggedIn component handles it dynamically.  You should still add a check for `$user.authenticated` in your own `onMount` since svelte will run them no matter what.


<callout class="warning">
<span>
Currently you should only use LoggedIn as a major page blocking component rather than fine grained individual elements.  It makes a network request to `/api/login` to confirm the user's logged in status, and if you have more than one each instance will do this check.  If you see repeated calls to `/api/login` then check how your using this component on your pages.
</span>
</callout>
