import Register from "./pages/Register.svelte";
import Payment from "./pages/Payment.svelte";
import Login from "./pages/Login.svelte";
import UserProfile from "./pages/UserProfile.svelte";
import ResetPassword from "./pages/ResetPassword.svelte";
import Unsubscribe from "./pages/Unsubscribe.svelte";
import Home from "./pages/Home.svelte";
import NotFound from "./pages/NotFound.svelte";
import TOS from "./pages/TOS.svelte";
import Discord from "./pages/Discord.svelte";
import Live from "./pages/Live.svelte";
import LiveIndex from "./pages/LiveIndex.svelte";
import Landing from "./pages/Landing.svelte";
import Components from "$/admin/bando/Components.svelte";
import DocsBrowser from "$/admin/pages/DocsBrowser.svelte";

export default {
  "/landing/": Landing,
  "/docs/*": DocsBrowser,
  "/register/": Register,
  "/bando/components/:name?": Components,
  "/payment/:status?": Payment,
  "/login/": Login,
  "/forgot/": ResetPassword,
  "/profile/": UserProfile,
  "/tos/": TOS,
  "/discord/": Discord,
  "/live/:livestream_id/": Live,
  "/live/": LiveIndex,
  "/email/unsubscribe/:unsubkey/": Unsubscribe,
  "/:what?": Home,
  "*": NotFound,
}
