/*
  The routes for the [svelte-spa-router](https://github.com/ItalyPaleAle/svelte-spa-router)
  used for multiple "pages".  It's easy to use.  Just import the `.svelte` file directly
  then place it in the default export listing.
 */
import Register from "./pages/Register.svelte";
import Payment from "./pages/Payment.svelte";
import Login from "./pages/Login.svelte";
import UserProfile from "./pages/UserProfile.svelte";
import ResetPassword from "./pages/ResetPassword.svelte";
import Unsubscribe from "./pages/Unsubscribe.svelte";
import Home from "./pages/Home.svelte";
import NotFound from "./pages/NotFound.svelte";
import TOS from "./pages/TOS.svelte";
import Discord from "./pages/Discord.svelte";
import Live from "./pages/Live.svelte";
import LiveIndex from "./pages/LiveIndex.svelte";

export default {
  "/register/": Register,
  "/payment/:status?": Payment,
  "/login/": Login,
  "/forgot/": ResetPassword,
  "/profile/": UserProfile,
  "/tos/": TOS,
  "/discord/": Discord,
  "/live/:livestream_id/": Live,
  "/live/": LiveIndex,
  "/email/unsubscribe/:unsubkey/": Unsubscribe,
  "/": Home,
  "*": NotFound,
}
