/*
  Contains shared variables with `api/devtools/info.js` and `commands/api.js` that
  creates the display in the admin [errors](http://127.0.0.1:5001/admin/#/errors/) and
  [routes](http://127.0.0.1:5001/admin/#/routes/) viewers.
 */

/*
  All registered `api/` handlers.
 */
export const api = {};

/*
  All registered `sockets/` handlers.
 */
export const sockets = {};

/*
  All errors found in `debug/*_errors.json`.  These are generated by the [esbuild](https://esbuild.github.io)
  run done by `commands/build.js`.  Then when `commands/api.js` runs it loads
  this for you to view and notifies your browser there's errors.
 */
export const errors = [];

export default {
  api,
  sockets,
  errors
}
